> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List price points

> Retrieve all Price Points (pricing plans) defined for the organization.

Returns all Price Points for your organization. You can optionally filter results using one or more filter fields in the request body (`ident`, `currency_code`, `feature_ident`). Pass an empty object `{}` or set fields to `null` to retrieve all Price Points.


## OpenAPI

````yaml /swagger/openapi-billing.json post /price_points
openapi: 3.0.0
info:
  title: OpenAPI3
  version: 1.0.0
servers:
  - url: https://billing.funnelfox.com/{org_id}/v1
    description: FunnelFox Billing API
    variables:
      org_id:
        default: your-org-id
        description: Your organization ID
security:
  - FunnelFoxSecretKey: []
paths:
  /price_points:
    post:
      tags:
        - PricePoints
      summary: List price points
      description: Retrieve all Price Points (pricing plans) defined for the organization.
      parameters:
        - name: org_id
          in: path
          required: true
          description: Organization ID
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FilterPointIn'
      responses:
        '200':
          description: List of price points
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PricePointListOut'
      security: []
components:
  schemas:
    FilterPointIn:
      properties:
        ident:
          type: string
          nullable: true
          description: >-
            Filter by Price Point ident, the unique identifier you assigned when
            creating the Price Point.
        currency_code:
          type: string
          nullable: true
          description: Filter by currency code.
        feature_ident:
          type: string
          nullable: true
          description: >-
            Filter by feature ident (returns price points that include this
            feature).
      title: FilterPointIn
      type: object
    PricePointListOut:
      properties:
        price_points:
          items:
            $ref: '#/components/schemas/PricePointOut'
          title: Price Points
          type: array
      required:
        - price_points
      title: PricePointListOut
      type: object
    PricePointOut:
      properties:
        ident:
          title: Ident
          type: string
        currency:
          $ref: '#/components/schemas/CurrencyOut'
        intro_type:
          $ref: '#/components/schemas/IntroTypeEnum'
        lifetime_price:
          anyOf:
            - type: number
            - type: string
          default: null
          title: Lifetime Price
          nullable: true
        intro_free_trial_period:
          type: integer
          nullable: true
        intro_free_trial_period_duration:
          anyOf:
            - $ref: '#/components/schemas/DurationEnum'
          default: null
          nullable: true
        intro_paid_trial_price:
          anyOf:
            - type: number
            - type: string
          default: null
          title: Intro Paid Trial Price
          nullable: true
        intro_paid_trial_period:
          type: integer
          nullable: true
        intro_paid_trial_period_duration:
          anyOf:
            - $ref: '#/components/schemas/DurationEnum'
          default: null
          nullable: true
        next_price:
          anyOf:
            - type: number
            - type: string
          default: null
          title: Next Price
          nullable: true
        next_period:
          type: integer
          nullable: true
        next_period_duration:
          anyOf:
            - $ref: '#/components/schemas/DurationEnum'
          default: null
          nullable: true
        features:
          description: Premium features included in this price point
          items:
            $ref: '#/components/schemas/FeatureOut'
          title: Features
          type: array
      required:
        - ident
        - currency
        - intro_type
        - features
      title: PricePointOut
      type: object
    CurrencyOut:
      properties:
        code:
          title: Code
          type: string
        minor_units:
          title: Minor Units
          type: integer
        title:
          title: Title
          type: string
        symbol:
          title: Symbol
          type: string
      required:
        - code
        - minor_units
        - title
        - symbol
      title: CurrencyOut
      type: object
    IntroTypeEnum:
      enum:
        - no_intro
        - free_trial
        - paid_trial
      title: IntroTypeEnum
      type: string
    DurationEnum:
      enum:
        - minutes
        - days
        - weeks
        - months
        - years
      title: DurationEnum
      type: string
    FeatureOut:
      properties:
        ident:
          title: Ident
          type: string
      required:
        - ident
      title: FeatureOut
      type: object
  securitySchemes:
    FunnelFoxSecretKey:
      type: apiKey
      in: header
      name: ff-secret-key
      description: Secret key for FunnelFox Billing API. Required for all requests.

````